import { ComponentProps } from '@equinor/fusion-react-utils';
import { SearchableDropdownElement, SearchableDropdownResolver } from '@equinor/fusion-wc-searchable-dropdown';
type ElementAttributes = Partial<Pick<SearchableDropdownElement, 'id' | 'label' | 'placeholder' | 'variant' | 'meta' | 'value' | 'initialText' | 'leadingIcon' | 'dropdownHeight' | 'multiple' | 'graphic'>>;
type ElementEvents = {
    onAction?: (e: Event) => void;
};
type ElementResolver = {
    resolver?: SearchableDropdownResolver;
};
type ElementProps = ElementAttributes & ElementEvents & ElementResolver;
export type SearchableDropdownProps = ComponentProps<SearchableDropdownElement, ElementProps>;
export declare const SearchableDropdown: ({ children, ...props }: React.PropsWithChildren<ElementProps>) => JSX.Element;
export default SearchableDropdown;
//# sourceMappingURL=SearchableDropdown.d.ts.map